import type { _VNObservation } from "./VNObservation.js";
import type { CGAffineTransform } from "../structs/CGAffineTransform.js";
export declare class _VNHorizonObservation extends _VNObservation {
    static alloc(): _VNHorizonObservation;
    static new(): _VNHorizonObservation;
    init(): _VNHorizonObservation;
    /** @brief Creates a transform for the specified width and height. */
    transformForImageWidth$height$(width: number, height: number): CGAffineTransform;
    /**
     * @brief Transform applied to the detected horizon in image coordinates. @discussion This is the transform in image coordinates and not a normalized transform.
     */
    transform(): CGAffineTransform;
    /** @brief Angle of the observed horizon. */
    angle(): number;
}
